Share via


Traffic Controller Interface - List By Subscription

List TrafficController resources by subscription ID

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ServiceNetworking/trafficControllers?api-version=2025-01-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

TrafficControllerListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get Traffic Controllers List

Sample request

GET https://management.azure.com/subscriptions/subid/providers/Microsoft.ServiceNetworking/trafficControllers?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "tc1",
      "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.ServiceNetworking/trafficControllers/tc1",
      "type": "Microsoft.ServiceNetworking/trafficControllers",
      "location": "NorthCentralUS",
      "tags": {
        "key1": "value1"
      },
      "properties": {
        "configurationEndpoints": [
          "abc.trafficcontroller.azure.net"
        ],
        "frontends": [
          {
            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.ServiceNetworking/trafficControllers/tc1/frontends/fe1"
          }
        ],
        "associations": [
          {
            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.ServiceNetworking/trafficControllers/tc1/association/as1"
          }
        ],
        "securityPolicies": [
          {
            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.ServiceNetworking/trafficControllers/tc1/securityPolicies/sp1"
          }
        ],
        "securityPolicyConfigurations": {
          "wafSecurityPolicy": {
            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.ServiceNetworking/trafficControllers/tc1/securityPolicies/waf-0"
          }
        },
        "provisioningState": "Succeeded"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ProvisioningState

Resource Provisioning State Enum

ResourceId

Resource ID definition used by parent to reference child resources.

SecurityPolicyConfigurations

SecurityPolicyConfigurations Subresource of Traffic Controller.

systemData

Metadata pertaining to creation and last modification of the resource.

TrafficController

Concrete tracked resource types can be created by aliasing this type using a specific property type.

TrafficControllerListResult

The response of a TrafficController list operation.

WafSecurityPolicy

Web Application Firewall Security Policy

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ProvisioningState

Resource Provisioning State Enum

Value Description
Provisioning

Resource in Provisioning State

Updating

Resource in Updating State

Deleting

Resource in Deleting State

Accepted

Resource in Accepted State

Succeeded

Resource in Succeeded State

Failed

Resource in Failed State

Canceled

Resource in Canceled State

ResourceId

Resource ID definition used by parent to reference child resources.

Name Type Description
id

string

Resource ID of child resource.

SecurityPolicyConfigurations

SecurityPolicyConfigurations Subresource of Traffic Controller.

Name Type Description
wafSecurityPolicy

WafSecurityPolicy

Contains reference to a WAF-type security policy.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TrafficController

Concrete tracked resource types can be created by aliasing this type using a specific property type.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.associations

ResourceId[]

Associations References List

properties.configurationEndpoints

string[]

Configuration Endpoints.

properties.frontends

ResourceId[]

Frontends References List

properties.provisioningState

ProvisioningState

The status of the last operation.

properties.securityPolicies

ResourceId[]

Security Policies References List

properties.securityPolicyConfigurations

SecurityPolicyConfigurations

Security Policy Configuration

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

TrafficControllerListResult

The response of a TrafficController list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

TrafficController[]

The TrafficController items on this page

WafSecurityPolicy

Web Application Firewall Security Policy

Name Type Description
id

string

Resource ID of the Waf Security Policy